Function
createSuffixTrie
Creates a trie of all suffixes of a text.
createSuffixTrie(g, terminalStateMap, text)
Include Headers
seqan/graph_types.h
Parameters

g | Out-parameter: An automaton. Types: Trie
terminalStateMap | Out-parameter: An external property map. Types: External Property Map Remarks: The external property map must be a String<String<unsigned int> >.
text | In-parameter: A text. Types: String

Return Values
void
See Also
createTrieOnReverse, createTrie
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47